{% extends 'layouts/base.html' %}

{% block title %} Generate Clean Report File {% endblock %}

{% block body %}
<div class="row flex-lg-row flex-column mt-2 justify-content-center">
    <div class="col-lg-3 col-md-3 col-x-12">
        <div class="card mt-5">
            <div class="card-header bg-primary fw-bolder text-light">New Parameter</div>
            <div class="card-body">
                <form method="POST" action="/settings" enctype="multipart/form-data">
                    <div class="form-group my-2">
                        <label for="parameterName">Name: </label>
                        <input type="text" name="parameterName" id="parameterName" class="form-control" required>
                    </div>

                    <div class="form-group my-2">
                        <label for="parameterValue">Value: </label>
                        <input type="text" name="parameterValue" id="parameterValue" class="form-control" required>
                    </div>

                    {% include 'layouts/flash.html' %}

                    <button type="submit" class="btn btn-primary mt-5 w-100">Submit</button>
                </form>
            </div>
        </div>
    </div>
    <div class="col-lg-6 col-md-6 col-xs-12 ms-2">
        <h2 class="mt-1">Parameters</h2>
        <div class="table-responsive">
            <table class="table table-striped table-hover">
                <thead>
                    <tr class="bg-primary text-light text-center">
                        <th>Name</th>
                        <th>Value</th>
                        <th width="50"></th>
                    </tr>
                </thead>
                <tbody class="text-center">
                    {% for parameter in parameters %}
                    <tr>
                        <td>
                            {{ parameter.name }}
                        </td>
                        <td>
                            {{ parameter.value }}
                        </td>
                        <td class="d-flex">
                            <a href="/update-parameter/{{ parameter.id }}" class="btn btn-primary mx-1"><svg
                                    xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                                    class="bi bi-pencil-square" viewBox="0 0 16 16">
                                    <path
                                        d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z" />
                                    <path fill-rule="evenodd"
                                        d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z" />
                                </svg></a>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>
{% endblock %}